LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | Public Attributes | List of all members
XUIElement Interface Reference

provides a function to retrieve a special purpose interface dependent on the user interface element type. More...

`import"XUIElement.idl";`

Inheritance diagram for XUIElement:

## Public Member Functions
::com::sun::star::uno::XInterface | getRealInterface ()
| returns an interface to get access to user interface type specific functions. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Public Attributes
::com::sun::star::frame::XFrame | Frame
| determines the document frame to which this element is bound to. More...
string | ResourceURL
| a resource URL which is a unique identifier of a user interface element. More...
short | Type
| determines the type of the user interface element. More...

## Detailed Description

provides a function to retrieve a special purpose interface dependent on the user interface element type.

The type of the interface depends on the real type of the user interface element. A menubar user interface element provides access to its com::sun::star::awt::XSystemDependentMenuBarPeer which supports to retrieve the system dependent menu handle. A floating window or a toolbar user interface element return a com::sun::star::awt::XWindow interface.

## Member Function Documentation

## ◆ getRealInterface()

::com::sun::star::uno::XInterface getRealInterface | ( |  | ) |

returns an interface to get access to user interface type specific functions.

Returns
  a special purpose interface which depends on the type of the user interface element.

## Member Data Documentation

## ◆ Frame

::com::sun::star::frame::XFrame Frame
| attribute readonly

determines the document frame to which this element is bound to.

The life time of a user interface element does not explicitly depend on the frame itself but on the visible component attached to the frame. It is possible to exchange the visible component of a frame and that will lead to the end of life of all user interface elements.

## ◆ ResourceURL

string ResourceURL
| attribute readonly

a resource URL which is a unique identifier of a user interface element.

## ◆ Type

short Type
| attribute readonly

determines the type of the user interface element.

See also
  UIElementType

The documentation for this interface was generated from the following file:

- com/sun/star/ui/XUIElement.idl